from flask import Flask, make_response, request

app = Flask(__name__)

temperature = []
pressure = []
humidity = []
gas_ppm = []


@app.route('/', methods=['POST'])
def home():
    if float(request.values.get("temp")) != -1000.:
        temperature.append(request.values.get("temp"))

    if float(request.values.get("humidity")) != -1000.:
        humidity.append(request.values.get("humidity"))

    if float(request.values.get("gas_ppm")) != -1000.:
        gas_ppm.append(request.values.get("gas_ppm"))

    if float(request.values.get("pressure")) != -1000.:
        pressure.append(request.values.get("pressure"))
    return make_response("ok", 200)


@app.route('/temperature', methods=['GET'])
def get_temp():
    return make_response(str(temperature), 200)


@app.route('/humidity', methods=['GET'])
def get_humidity():
    return make_response(str(humidity), 200)


@app.route('/pressure', methods=['GET'])
def get_pressure():
    return make_response(str(pressure), 200)


@app.route('/gas', methods=['GET'])
def get_gas():
    return make_response(str(gas_ppm), 200)


if __name__ == '__main__':
    app.run(debug=True, port=8080)
